<?php

namespace ArticleBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Method;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;


class GetArticleInfoController extends Controller
{
    /**
     * @Route("/ArticleInfo/{ArticleId}" , name="GetArticleInfo" , requirements={"ArticleId": "\d+"})
     * @Method({"GET","HEAD"})
     * 获得书籍信息
     */
    public function indexAction($ArticleId)
    {
        $conn = $this->get('database_connection');
        $ArticleInfo = $conn->fetchAll('SELECT * FROM jieqi_article_article where articleid='.$ArticleId);
        $response = new Response();
        $response->setContent(json_encode($ArticleInfo));
        $response->headers->set('Content-Type', 'application/json');
        return $response;
    }

    /**
     * @Route("/GetArticleLastChapterInfo/{ArticleId}" , name="GetArticleLastChapterInfo" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍最新章节信息
     */
    public function getLastChapter($ArticleId)
    {
        $conn = $this->get('database_connection');
        $sql=<<<EOF
       SELECT
          *
       FROM 
          jieqi_article_chapter
       where 
          articleid=$ArticleId
       AND 
          display=0
       ORDER BY
          chapterorder
       desc
       limit 
            1
          
EOF;

        $ArticleLastChapterInfo = $conn->fetchAll($sql);
        $response = new Response();
        $response->setContent(json_encode($ArticleLastChapterInfo));
        $response->headers->set('Content-Type', 'application/json');
        //return $this->render('ArticleBundle:Default:index.html.twig');
        return $response;
    }

    /**
     * @Route("/GetArticleChapters/{ArticleId}" , name="GetArticleChapters" ,
     * requirements={"ArticleId": "\d+"}
     * )
     * @Method({"GET","HEAD"})
     * @return Response
     * 获得书籍章节列表
     */
    public function getArticleChapters($ArticleId)
    {
        $conn = $this->get('database_connection');
        $sql=<<<EOF
       SELECT
          *
       FROM 
          jieqi_article_chapter
       where 
          articleid=$ArticleId
       AND 
          display=0
       ORDER BY
          chapterorder
       ASC      
EOF;

        $ArticleChapters = $conn->fetchAll($sql);
        $response = new Response();
        $response->setContent(json_encode($ArticleChapters));
        $response->headers->set('Content-Type', 'application/json');
        //return $this->render('ArticleBundle:Default:index.html.twig');
        return $response;
    }
}
